@import "./colours.scss";
@import "./mixins.scss";
@import "./variables.scss";

body, h1, h2, h3, p, button {
  font-family: 'Andale Mono';
  color: $colour__text-green;
}

h2 {
  font-weight: 700;
  font-size: 3rem;
  text-align: center;
  margin: 0 0 60px 0;
  line-height: 2.5rem;
}

@mixin input_field {
  width: 10rem;
  border: 0.125rem dashed $colour__text-green;
  padding: 0.5rem;
  margin: 0.25rem 0;
  outline: none;
  resize: none;
  font-size: 1rem;
  background-color: $colour__bg__page-black;
  color: $colour__text-green;

  &:focus {
    border: 0.125rem dashed $colour__text-green;
  }

  &::placeholder {
    color: $colour__text-green;
    font-size: 1rem;
  }

  &:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 50px $colour__bg__page-black inset;
    -webkit-text-fill-color: $colour__text-green;
    transition: background-color 600000s 0s, color 600000s 0s;

    &:focus {
      transition: background-color 600000s 0s, color 600000s 0s;
      -webkit-box-shadow: 0 0 0 50px $colour__bg__page-black inset;
      -webkit-text-fill-color: $colour__text-green;
    }
  }
}

@mixin input_button {
  cursor: pointer;
  width: auto;
  padding: 0.5rem;
  margin: 0.25rem 0;
  outline: none;
  resize: none;
  font-size: 1rem;
  background-color: $colour__bg__page-black;
  border: none;
  color: $colour__text-green;
}